Bug 1348949 - ganesha/scripts : [RFE] store volume related configuration in shared storage
Summary: ganesha/scripts : [RFE] store volume related configuration in shared storage
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: common-ha
Version: rhgs-3.1
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: RHGS 3.2.0
Assignee: Jiffin
QA Contact: surabhi
URL:
Whiteboard:
Depends On:
Blocks: 1344675 1348962 1351503 1351530
TreeView+ depends on / blocked
 
Reported: 2016-06-22 11:52 UTC by Jiffin
Modified: 2017-03-23 05:37 UTC (History)
10 users (show)

Fixed In Version: glusterfs-3.8.4-1
Doc Type: Enhancement
Doc Text:
NFS-Ganesha now places ganesha.conf, ganesha-ha.conf, and export configuration files in a shared storage directory to make it easier to manage export configuration details.
Clone Of:
Environment:
Last Closed: 2017-03-23 05:37:45 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:0486 normal SHIPPED_LIVE Moderate: Red Hat Gluster Storage 3.2.0 security, bug fix, and enhancement update 2017-03-23 09:18:45 UTC
Red Hat Bugzilla 1365759 None None None Never

Internal Links: 1365759

Description Jiffin 2016-06-22 11:52:23 UTC
Description of problem:

All the export related configuration is stored in /etc/ganesha/export directory seperately in each node. It become very difficult to manage and sync in those files in every node within ganesha cluster. So if move those file into shared storage /<sharedstorage mount point>/export all the issues which currently facing can be solved   

Version-Release number of selected component (if applicable):
mainline


Additional info:

Comment 3 Atin Mukherjee 2016-09-16 09:36:57 UTC
Upstream patch : http://review.gluster.org/#/c/14871/
Downstream patch : https://code.engineering.redhat.com/gerrit/#/c/84774

Comment 5 Atin Mukherjee 2016-09-17 10:46:59 UTC
Upstream mainline patch : http://review.gluster.org/15355
Upstream 3.9 patch : http://review.gluster.org/#/c/15521

downstream patch : https://code.engineering.redhat.com/gerrit/#/c/84840/ is merged now.

Comment 8 Arthy Loganathan 2016-11-07 06:36:20 UTC
Verified this bug on RHGS 3.2, nfs-ganesha-2.4.1-1.el7rhgs.x86_64 build.

Volume export files are moved under /run/gluster/shared_storage/nfs-ganesha/exports/ directory.

Comment 14 errata-xmlrpc 2017-03-23 05:37:45 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2017-0486.html


Note You need to log in before you can comment on or make changes to this bug.